VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue:

## Classes
class | Type

## Avaliable Methods
public method | set_double_value ()
public method | set_type ()
public method | get_string_value ()
public method | get_long_value ()
public method | get_boolean_value ()
public method | set_boolean_value ()
public method | get_double_value ()
public method | set_long_value ()
public method | new ()
public method | get_type ()
public method | set_string_value ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue` class contains value of the constant element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::get_boolean_value | ( |  | ) |

Gets the value of 'boolean_value' property.

Return values

  boolean_value | - The current value of the field. Boolean value of the constant. optional#

Code:
click to view
# Number of lines of code in get_boolean_value: 4
sub get_boolean_value {
my ($self, %args) = @_;
return $self->{'boolean_value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::get_double_value | ( |  | ) |

Gets the value of 'double_value' property.

Return values

  double_value | - The current value of the field. Double value of the constant. optional#

Code:
click to view
# Number of lines of code in get_double_value: 4
sub get_double_value {
my ($self, %args) = @_;
return $self->{'double_value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::get_long_value | ( |  | ) |

Gets the value of 'long_value' property.

Return values

  long_value | - The current value of the field. Long value of the constant. optional#

Code:
click to view
# Number of lines of code in get_long_value: 4
sub get_long_value {
my ($self, %args) = @_;
return $self->{'long_value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::get_string_value | ( |  | ) |

Gets the value of 'string_value' property.

Return values

  string_value | - The current value of the field. String value of the constant. optional#

Code:
click to view
# Number of lines of code in get_string_value: 4
sub get_string_value {
my ($self, %args) = @_;
return $self->{'string_value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of the constant value. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 34
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'BOOLEAN' => ['boolean_value'],
'DOUBLE' => ['double_value'],
'LONG' => ['long_value'],
'STRING' => ['string_value'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{boolean_value} = $args{'boolean_value'};
$self->{double_value} = $args{'double_value'};
$self->{long_value} = $args{'long_value'};
$self->{string_value} = $args{'string_value'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.primitive_value');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'PrimitiveValue::Type'));
$self->set_binding_field('key' => 'boolean_value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'double_value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::DoubleType()));
$self->set_binding_field('key' => 'long_value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'string_value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::set_boolean_value | ( |  | ) |

Sets the given value for 'boolean_value' property.

Parameters

  boolean_value | - New value for the field. Boolean value of the constant.

Code:
click to view
# Number of lines of code in set_boolean_value: 5
sub set_boolean_value {
my ($self, %args) = @_;
$self->{'boolean_value'} = $args{'boolean_value'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::set_double_value | ( |  | ) |

Sets the given value for 'double_value' property.

Parameters

  double_value | - New value for the field. Double value of the constant.

Code:
click to view
# Number of lines of code in set_double_value: 5
sub set_double_value {
my ($self, %args) = @_;
$self->{'double_value'} = $args{'double_value'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::set_long_value | ( |  | ) |

Sets the given value for 'long_value' property.

Parameters

  long_value | - New value for the field. Long value of the constant.

Code:
click to view
# Number of lines of code in set_long_value: 5
sub set_long_value {
my ($self, %args) = @_;
$self->{'long_value'} = $args{'long_value'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::set_string_value | ( |  | ) |

Sets the given value for 'string_value' property.

Parameters

  string_value | - New value for the field. String value of the constant.

Code:
click to view
# Number of lines of code in set_string_value: 5
sub set_string_value {
my ($self, %args) = @_;
$self->{'string_value'} = $args{'string_value'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PrimitiveValue::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of the constant value.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/PrimitiveValue.pm